C++test Windows10.4.1 Eclipse Plugin

fatmanur61fatmanur61 Posts: 70
edited February 26 in Jtest

I used C++test Windows10.4.1 Eclipse Plugin for parasoft and ARM DS-5 entegration. Then Parasoft added in DS-5 toolbar. The plugin installation completed succesfully. After that I want to plug in parasoft to my another eclipse based ide which is code composer , when I run the C++test Windows10.4.1 Eclipse Plugin setup file program says me remove all installation. This setup program does not work again and it does not support the following view which contains as follows :

1) ARM DS-5 option
2) Wind River Workbench
3) TI Code Composer
etc...

This setup file is valid at once ? Why I can not run this set up file again and plugin parasoft for other IDE or enviroments?

I want to show view.PNG interface for plugin setup process but I can not see this view. I can see remove installation view.

Comments

  • brian_nucklesbrian_nuckles Posts: 29 admin

    Best practice for installing C++test into multiple IDE's would be to use a C++Test 10.4.1 Standard edition to integrate into Eclipse-based IDE's using the following method: https://docs.parasoft.com/display/CPPTEST1041/Plugin+for+Eclipse

    The C++test 10.4.1 Windows Eclipse Plugin installer will automatically recognize that a plugin already exists on the machine for the already integrated DS-5 Studio. The method described above for the C++test Standard Edition is repeatable for multiple IDE's.

  • fatmanur61fatmanur61 Posts: 70

    @brian_nuckles thanks for your answer. Which product should I download from install_dir.PNG file which is added to discussion?

  • brian_nucklesbrian_nuckles Posts: 29 admin

    C/C++test Standard for Windows x64 (the tool you have selected in your screenshot) is the correct installation for this functionality. The download will be in the form of a zip file which can be extracted to a location of your choice. Within the extracted installation, the 'integration' folder will hold the zip files needed to plug in to various IDE's.

  • Andrey MadanAndrey Madan Posts: 283 ✭✭✭

    @fatmanur61 : You can use Standard edition's Eclipse plug-in to execute static analysis. If you need Parasoft Unit Testing - then you need to download Professional Edition. Please let us know your use case.

    To answer your original question:
    "After that I want to plug in parasoft to my another eclipse based ide which is code composer "
    You will need to uninstall the first plugin and install it again into CCS. That is currently how it works.
    If AFTER the uninstall of the DS-5 Eclipse plugin you still cannot install to CCS then contact support.

Sign In or Register to comment.